Bug 250698 - Crashes on launch: cannot load libgtkhtml-3.8.so.15
Crashes on launch: cannot load libgtkhtml-3.8.so.15
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 18:45 EDT by Greg Douglas
Modified: 2014-03-16 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 00:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Douglas 2007-08-02 18:45:39 EDT
Description of problem:

After upgrading from FC6, and then trying to launch gnucash, the application
does not load from Gnome. From the terminal, the following message appears:

$ gnucash
gnucash-bin: error while loading shared libraries: libgtkhtml-3.8.so.15: cannot
open shared object file: No such file or directory


Version-Release number of selected component (if applicable): gnucash-2.0.5-3.fc7


How reproducible: Every time I try to load.


Steps to Reproduce:
1. From Gnome: Applications > Offive > gnucash
2. or from the Gnome Terminal.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2007-08-03 00:13:31 EDT
rpm -V gnucash will show unresolved dependencies, correct?

Either install gtkhtml38, or install the gnucash update.
Comment 2 Greg Douglas 2007-08-03 08:43:18 EDT
Thanks Bill.

Here is the result of the rpm -V:

# rpm -V gnucash
Unsatisfied dependencies for gnucash-2.0.5-3.fc7.i386: libgsf-gnome-1.so.114,
libgtkhtml-3.8.so.15

This is surprising. Should the RPMS already specify these dependencies?

I will proceed to try to install these.

Greg
Comment 3 Greg Douglas 2007-08-03 08:51:08 EDT
Bingo!

It works now, thanks.

This bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.